import { request } from '@umijs/max';
import config from '../config';

/**
 * 任务列表
 * @param data
 * @param options
 * @returns
 */
export async function getOpusListApi(data: TASKAPI.OpusList, options?: { [key: string]: any }) {
  return request<API.Result>(config.API_BASE_URL + '/api/material/list', {
    method: 'POST',
    data,
    ...(options || {}),
  });
}

/**
 * 根据昵称模糊匹配用户
 * @param params
 * @param options
 * @returns
 */
export async function getUserNameListApi(
  params: { userName: string },
  options?: { [key: string]: any },
) {
  return request<API.Result>(config.API_BASE_URL + '/api/login/user/like/name', {
    method: 'GET',
    params,
    ...(options || {}),
  });
}
